org.apache.poi.ss.usermodel

## Interface ConditionalFormattingThreshold

- All Known Implementing Classes:
    HSSFConditionalFormattingThreshold, XSSFConditionalFormattingThreshold

      public interface ConditionalFormattingThreshold

  The Threshold / CFVO / Conditional Formatting Value Object.

  This defines how to calculate the ranges for a conditional formatting rule, eg which values get a Green Traffic Light icon and which Yellow or Red.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ConditionalFormattingThreshold.RangeType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFormula()` Formula to use to calculate the threshold, or `null` if no formula
    `ConditionalFormattingThreshold.RangeType` | `getRangeType()` Get the Range Type used
    `java.lang.Double` | `getValue()` Gets the value used for the threshold, or `null` if there isn't one.
    `void` | `setFormula(java.lang.String formula)` Sets the formula used to calculate the threshold, or unsets it if `null` is given.
    `void` | `setRangeType(ConditionalFormattingThreshold.RangeType type)` Changes the Range Type used
    `void` | `setValue(java.lang.Double value)` Sets the value used for the threshold.

- - ### Method Detail

    - #### getRangeType

          ConditionalFormattingThreshold.RangeType getRangeType()

      Get the Range Type used

    - #### setRangeType

          void setRangeType(ConditionalFormattingThreshold.RangeType type)

      Changes the Range Type used

      If you change the range type, you need to ensure that the Formula and Value parameters are compatible with it before saving

    - #### getFormula

          java.lang.String getFormula()

      Formula to use to calculate the threshold, or `null` if no formula

    - #### setFormula

          void setFormula(java.lang.String formula)

      Sets the formula used to calculate the threshold, or unsets it if `null` is given.

    - #### getValue

          java.lang.Double getValue()

      Gets the value used for the threshold, or `null` if there isn't one.

    - #### setValue

          void setValue(java.lang.Double value)

      Sets the value used for the threshold.

      If the type is `ConditionalFormattingThreshold.RangeType.PERCENT` or `ConditionalFormattingThreshold.RangeType.PERCENTILE` it must be between 0 and 100.

      If the type is `ConditionalFormattingThreshold.RangeType.MIN` or `ConditionalFormattingThreshold.RangeType.MAX` or `ConditionalFormattingThreshold.RangeType.FORMULA` it shouldn't be set.

      Use `null` to unset

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.